Subject: Contact info for Duffie's pickup
From: "LLPS -Michael B" <[email-masked]>
To: <[email-masked]>
Date: Fri, 13 Jan 2012 11:03:17 -0500

Hello Kandace.
I was forwarded Duffie's itinerary from Jason.  My wife and I will be taking care of Duffie and Rena once they arrive.  
I wanted to make sure you had our contact information so that we can be contacted as needed.  I can be best reached on my cell at 517-775-4916.  My wife (Celeste) has a cell as well and that number is 517-974-1118.  I will be picking them up from the Lansing airport once they arrive and taking them to (and from) the hotel as needed.  We are looking forward to having them and please feel free yourself to contact me directly if there are any specifics you feel I would need to know about their arrival and/or time here with us.  Much appreciated!

Thank you,
Michael Bishop (Celeste Bishop) 
Mount Hope Church